
#include <avr/io.h>
#include <avr/interrupt.h>

__SREG__ = 0x3f

.global	SIG_OUTPUT_COMPARE1A
	.type	SIG_OUTPUT_COMPARE1A, @function


jumppad_exitirq:
    sts  capbuf_divider,r24
    rjmp exitirq;

SIG_OUTPUT_COMPARE1A:
sampleirq:
    push r16
    in r16,__SREG__
    push r16
    push r31
    push r30
    push r25
    push r24

    //divider
    lds  r24,capbuf_divider
    subi r24,1
    brne jumppad_exitirq;
    ldi  r24,2                            //4=50Hz      2=100Hz
    sts  capbuf_divider,r24

    in   r24,_SFR_IO_ADDR(TCNT1L)  ;actual time
    in   r25,_SFR_IO_ADDR(TCNT1H)

;    in   r30,_SFR_IO_ADDR(OCR1AL)  ;desired time
;    in   r31,_SFR_IO_ADDR(OCR1AH)
;    adiw r30,16      ;adjust for entry
;
;    sub  r24,r30
;    sbc  r25,r31
;    ;r25:r24=how many clocks we are late.

    sbiw r24,22      ;adjust for entry - CTC mode

    ldi  r30,lo8(pm(nopfield))
    ldi  r31,hi8(pm(nopfield))
    add  r30,r24
    adc  r31,r25


    cpi  r30,lo8(pm(nopfield_ends))
    ldi  r25,hi8(pm(nopfield_ends))
    cpc  r31,r25  //if this doesn't generate a carry, we're in trouble.
    brcc nopfield_ends;
    ijmp
nopfield:
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop

    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
    nop
nopfield_ends:
    ldi r24,lo8(432)
    ldi r25,hi8(432)
    ldi r30,lo8(capbuf)
    ldi r31,hi8(capbuf)
iter:
    in  R16,PINC-0x20 ;1
    st  Z+,r16        ;2
    nop               ;1
    sbiw r24,1        ;2
    brne iter         ;2 =8 total  -> 3456 clocks.

    ldi r24,1
    sts capbuf_full,r24
exitirq:
    pop r24
    pop r25
    pop r30
    pop r31
    pop r16
    out __SREG__,r16
    pop r16
    reti




.global calcvector
calcvector:
        ldi r26,lo8(capbuf)
        ldi r27,hi8(capbuf)
        ;r24 is mask
        clr r18
        clr r19
        clr r20
        clr r21
        rcall calc_s0
        rcall calc_s1
        sts rvt+0,r18
        sts rvt+1,r19
        sts rvt+2,r20
        sts rvt+3,r21
        ret


.global calcvectorH1
calcvectorH1:
        ldi r26,lo8(capbuf)
        ldi r27,hi8(capbuf)
        ;r24 is mask
        clr r18
        clr r19
        clr r20
        clr r21
        rcall calc_s0
        sts rvt+0,r18
        sts rvt+1,r19
        sts rvt+2,r20
        sts rvt+3,r21
        ret

.global calcvectorH2
calcvectorH2:
        ldi r26,lo8(capbuf+216)
        ldi r27,hi8(capbuf+216)
        ;r24 is mask
        clr r18
        clr r19
        clr r20
        clr r21
        rcall calc_s1
        sts rvt+0,r18
        sts rvt+1,r19
        sts rvt+2,r20
        sts rvt+3,r21
        ret







calc_s0:
  ld r0,X+
  and r0,r24
  breq sklab0
  subi r18,lo8(-126)
  sbci r19,hi8(-126)
  subi r20,lo8(0)
  sbci r21,hi8(0)
sklab0:
  ld r0,X+
  and r0,r24
  breq sklab1
  subi r18,lo8(-12)
  sbci r19,hi8(-12)
  subi r20,lo8(-126)
  sbci r21,hi8(-126)
sklab1:
  ld r0,X+
  and r0,r24
  breq sklab2
  subi r18,lo8(124)
  sbci r19,hi8(124)
  subi r20,lo8(-25)
  sbci r21,hi8(-25)
sklab2:
  ld r0,X+
  and r0,r24
  breq sklab3
  subi r18,lo8(38)
  sbci r19,hi8(38)
  subi r20,lo8(121)
  sbci r21,hi8(121)
sklab3:
  ld r0,X+
  and r0,r24
  breq sklab4
  subi r18,lo8(-116)
  sbci r19,hi8(-116)
  subi r20,lo8(50)
  sbci r21,hi8(50)
sklab4:
  ld r0,X+
  and r0,r24
  breq sklab5
  subi r18,lo8(-61)
  sbci r19,hi8(-61)
  subi r20,lo8(-110)
  sbci r21,hi8(-110)
sklab5:
  ld r0,X+
  and r0,r24
  breq sklab6
  subi r18,lo8(104)
  sbci r19,hi8(104)
  subi r20,lo8(-72)
  sbci r21,hi8(-72)
sklab6:
  ld r0,X+
  and r0,r24
  breq sklab7
  subi r18,lo8(83)
  sbci r19,hi8(83)
  subi r20,lo8(96)
  sbci r21,hi8(96)
sklab7:
  ld r0,X+
  and r0,r24
  breq sklab8
  subi r18,lo8(-87)
  sbci r19,hi8(-87)
  subi r20,lo8(92)
  sbci r21,hi8(92)
sklab8:
  ld r0,X+
  and r0,r24
  breq sklab9
  subi r18,lo8(-100)
  sbci r19,hi8(-100)
  subi r20,lo8(-77)
  sbci r21,hi8(-77)
sklab9:
  ld r0,X+
  and r0,r24
  breq sklab10
  subi r18,lo8(66)
  sbci r19,hi8(66)
  subi r20,lo8(-108)
  sbci r21,hi8(-108)
sklab10:
  ld r0,X+
  and r0,r24
  breq sklab11
  subi r18,lo8(114)
  sbci r19,hi8(114)
  subi r20,lo8(55)
  sbci r21,hi8(55)
sklab11:
  ld r0,X+
  and r0,r24
  breq sklab12
  subi r18,lo8(-43)
  sbci r19,hi8(-43)
  subi r20,lo8(119)
  sbci r21,hi8(119)
sklab12:
  ld r0,X+
  and r0,r24
  breq sklab13
  subi r18,lo8(-123)
  sbci r19,hi8(-123)
  subi r20,lo8(-31)
  sbci r21,hi8(-31)
sklab13:
  ld r0,X+
  and r0,r24
  breq sklab14
  subi r18,lo8(18)
  sbci r19,hi8(18)
  subi r20,lo8(-125)
  sbci r21,hi8(-125)
sklab14:
  ld r0,X+
  and r0,r24
  breq sklab15
  subi r18,lo8(126)
  sbci r19,hi8(126)
  subi r20,lo8(5)
  sbci r21,hi8(5)
sklab15:
  ld r0,X+
  and r0,r24
  breq sklab16
  subi r18,lo8(7)
  sbci r19,hi8(7)
  subi r20,lo8(126)
  sbci r21,hi8(126)
sklab16:
  ld r0,X+
  and r0,r24
  breq sklab17
  subi r18,lo8(-125)
  sbci r19,hi8(-125)
  subi r20,lo8(20)
  sbci r21,hi8(20)
sklab17:
  ld r0,X+
  and r0,r24
  breq sklab18
  subi r18,lo8(-32)
  sbci r19,hi8(-32)
  subi r20,lo8(-122)
  sbci r21,hi8(-122)
sklab18:
  ld r0,X+
  and r0,r24
  breq sklab19
  subi r18,lo8(118)
  sbci r19,hi8(118)
  subi r20,lo8(-45)
  sbci r21,hi8(-45)
sklab19:
  ld r0,X+
  and r0,r24
  breq sklab20
  subi r18,lo8(56)
  sbci r19,hi8(56)
  subi r20,lo8(113)
  sbci r21,hi8(113)
sklab20:
  ld r0,X+
  and r0,r24
  breq sklab21
  subi r18,lo8(-107)
  sbci r19,hi8(-107)
  subi r20,lo8(68)
  sbci r21,hi8(68)
sklab21:
  ld r0,X+
  and r0,r24
  breq sklab22
  subi r18,lo8(-78)
  sbci r19,hi8(-78)
  subi r20,lo8(-99)
  sbci r21,hi8(-99)
sklab22:
  ld r0,X+
  and r0,r24
  breq sklab23
  subi r18,lo8(91)
  sbci r19,hi8(91)
  subi r20,lo8(-88)
  sbci r21,hi8(-88)
sklab23:
  ld r0,X+
  and r0,r24
  breq sklab24
  subi r18,lo8(97)
  sbci r19,hi8(97)
  subi r20,lo8(81)
  sbci r21,hi8(81)
sklab24:
  ld r0,X+
  and r0,r24
  breq sklab25
  subi r18,lo8(-71)
  sbci r19,hi8(-71)
  subi r20,lo8(105)
  sbci r21,hi8(105)
sklab25:
  ld r0,X+
  and r0,r24
  breq sklab26
  subi r18,lo8(-111)
  sbci r19,hi8(-111)
  subi r20,lo8(-60)
  sbci r21,hi8(-60)
sklab26:
  ld r0,X+
  and r0,r24
  breq sklab27
  subi r18,lo8(48)
  sbci r19,hi8(48)
  subi r20,lo8(-117)
  sbci r21,hi8(-117)
sklab27:
  ld r0,X+
  and r0,r24
  breq sklab28
  subi r18,lo8(121)
  sbci r19,hi8(121)
  subi r20,lo8(36)
  sbci r21,hi8(36)
sklab28:
  ld r0,X+
  and r0,r24
  breq sklab29
  subi r18,lo8(-23)
  sbci r19,hi8(-23)
  subi r20,lo8(124)
  sbci r21,hi8(124)
sklab29:
  ld r0,X+
  and r0,r24
  breq sklab30
  subi r18,lo8(-126)
  sbci r19,hi8(-126)
  subi r20,lo8(-11)
  sbci r21,hi8(-11)
sklab30:
  ld r0,X+
  and r0,r24
  breq sklab31
  subi r18,lo8(-1)
  sbci r19,hi8(-1)
  subi r20,lo8(-126)
  sbci r21,hi8(-126)
sklab31:
  ld r0,X+
  and r0,r24
  breq sklab32
  subi r18,lo8(126)
  sbci r19,hi8(126)
  subi r20,lo8(-14)
  sbci r21,hi8(-14)
sklab32:
  ld r0,X+
  and r0,r24
  breq sklab33
  subi r18,lo8(27)
  sbci r19,hi8(27)
  subi r20,lo8(123)
  sbci r21,hi8(123)
sklab33:
  ld r0,X+
  and r0,r24
  breq sklab34
  subi r18,lo8(-120)
  sbci r19,hi8(-120)
  subi r20,lo8(39)
  sbci r21,hi8(39)
sklab34:
  ld r0,X+
  and r0,r24
  breq sklab35
  subi r18,lo8(-51)
  sbci r19,hi8(-51)
  subi r20,lo8(-115)
  sbci r21,hi8(-115)
sklab35:
  ld r0,X+
  and r0,r24
  breq sklab36
  subi r18,lo8(109)
  sbci r19,hi8(109)
  subi r20,lo8(-63)
  sbci r21,hi8(-63)
sklab36:
  ld r0,X+
  and r0,r24
  breq sklab37
  subi r18,lo8(74)
  sbci r19,hi8(74)
  subi r20,lo8(102)
  sbci r21,hi8(102)
sklab37:
  ld r0,X+
  and r0,r24
  breq sklab38
  subi r18,lo8(-94)
  sbci r19,hi8(-94)
  subi r20,lo8(84)
  sbci r21,hi8(84)
sklab38:
  ld r0,X+
  and r0,r24
  breq sklab39
  subi r18,lo8(-93)
  sbci r19,hi8(-93)
  subi r20,lo8(-85)
  sbci r21,hi8(-85)
sklab39:
  ld r0,X+
  and r0,r24
  breq sklab40
  subi r18,lo8(75)
  sbci r19,hi8(75)
  subi r20,lo8(-101)
  sbci r21,hi8(-101)
sklab40:
  ld r0,X+
  and r0,r24
  breq sklab41
  subi r18,lo8(109)
  sbci r19,hi8(109)
  subi r20,lo8(65)
  sbci r21,hi8(65)
sklab41:
  ld r0,X+
  and r0,r24
  breq sklab42
  subi r18,lo8(-53)
  sbci r19,hi8(-53)
  subi r20,lo8(115)
  sbci r21,hi8(115)
sklab42:
  ld r0,X+
  and r0,r24
  breq sklab43
  subi r18,lo8(-119)
  sbci r19,hi8(-119)
  subi r20,lo8(-41)
  sbci r21,hi8(-41)
sklab43:
  ld r0,X+
  and r0,r24
  breq sklab44
  subi r18,lo8(29)
  sbci r19,hi8(29)
  subi r20,lo8(-123)
  sbci r21,hi8(-123)
sklab44:
  ld r0,X+
  and r0,r24
  breq sklab45
  subi r18,lo8(125)
  sbci r19,hi8(125)
  subi r20,lo8(16)
  sbci r21,hi8(16)
sklab45:
  ld r0,X+
  and r0,r24
  breq sklab46
  subi r18,lo8(-3)
  sbci r19,hi8(-3)
  subi r20,lo8(126)
  sbci r21,hi8(126)
sklab46:
  ld r0,X+
  and r0,r24
  breq sklab47
  subi r18,lo8(-126)
  sbci r19,hi8(-126)
  subi r20,lo8(9)
  sbci r21,hi8(9)
sklab47:
  ld r0,X+
  and r0,r24
  breq sklab48
  subi r18,lo8(-22)
  sbci r19,hi8(-22)
  subi r20,lo8(-125)
  sbci r21,hi8(-125)
sklab48:
  ld r0,X+
  and r0,r24
  breq sklab49
  subi r18,lo8(122)
  sbci r19,hi8(122)
  subi r20,lo8(-34)
  sbci r21,hi8(-34)
sklab49:
  ld r0,X+
  and r0,r24
  breq sklab50
  subi r18,lo8(46)
  sbci r19,hi8(46)
  subi r20,lo8(118)
  sbci r21,hi8(118)
sklab50:
  ld r0,X+
  and r0,r24
  breq sklab51
  subi r18,lo8(-112)
  sbci r19,hi8(-112)
  subi r20,lo8(58)
  sbci r21,hi8(58)
sklab51:
  ld r0,X+
  and r0,r24
  breq sklab52
  subi r18,lo8(-69)
  sbci r19,hi8(-69)
  subi r20,lo8(-106)
  sbci r21,hi8(-106)
sklab52:
  ld r0,X+
  and r0,r24
  breq sklab53
  subi r18,lo8(98)
  sbci r19,hi8(98)
  subi r20,lo8(-80)
  sbci r21,hi8(-80)
sklab53:
  ld r0,X+
  and r0,r24
  breq sklab54
  subi r18,lo8(89)
  sbci r19,hi8(89)
  subi r20,lo8(89)
  sbci r21,hi8(89)
sklab54:
  ld r0,X+
  and r0,r24
  breq sklab55
  subi r18,lo8(-80)
  sbci r19,hi8(-80)
  subi r20,lo8(98)
  sbci r21,hi8(98)
sklab55:
  ld r0,X+
  and r0,r24
  breq sklab56
  subi r18,lo8(-106)
  sbci r19,hi8(-106)
  subi r20,lo8(-69)
  sbci r21,hi8(-69)
sklab56:
  ld r0,X+
  and r0,r24
  breq sklab57
  subi r18,lo8(58)
  sbci r19,hi8(58)
  subi r20,lo8(-112)
  sbci r21,hi8(-112)
sklab57:
  ld r0,X+
  and r0,r24
  breq sklab58
  subi r18,lo8(118)
  sbci r19,hi8(118)
  subi r20,lo8(46)
  sbci r21,hi8(46)
sklab58:
  ld r0,X+
  and r0,r24
  breq sklab59
  subi r18,lo8(-34)
  sbci r19,hi8(-34)
  subi r20,lo8(122)
  sbci r21,hi8(122)
sklab59:
  ld r0,X+
  and r0,r24
  breq sklab60
  subi r18,lo8(-125)
  sbci r19,hi8(-125)
  subi r20,lo8(-22)
  sbci r21,hi8(-22)
sklab60:
  ld r0,X+
  and r0,r24
  breq sklab61
  subi r18,lo8(9)
  sbci r19,hi8(9)
  subi r20,lo8(-126)
  sbci r21,hi8(-126)
sklab61:
  ld r0,X+
  and r0,r24
  breq sklab62
  subi r18,lo8(126)
  sbci r19,hi8(126)
  subi r20,lo8(-3)
  sbci r21,hi8(-3)
sklab62:
  ld r0,X+
  and r0,r24
  breq sklab63
  subi r18,lo8(16)
  sbci r19,hi8(16)
  subi r20,lo8(125)
  sbci r21,hi8(125)
sklab63:
  ld r0,X+
  and r0,r24
  breq sklab64
  subi r18,lo8(-123)
  sbci r19,hi8(-123)
  subi r20,lo8(29)
  sbci r21,hi8(29)
sklab64:
  ld r0,X+
  and r0,r24
  breq sklab65
  subi r18,lo8(-41)
  sbci r19,hi8(-41)
  subi r20,lo8(-119)
  sbci r21,hi8(-119)
sklab65:
  ld r0,X+
  and r0,r24
  breq sklab66
  subi r18,lo8(115)
  sbci r19,hi8(115)
  subi r20,lo8(-53)
  sbci r21,hi8(-53)
sklab66:
  ld r0,X+
  and r0,r24
  breq sklab67
  subi r18,lo8(65)
  sbci r19,hi8(65)
  subi r20,lo8(109)
  sbci r21,hi8(109)
sklab67:
  ld r0,X+
  and r0,r24
  breq sklab68
  subi r18,lo8(-101)
  sbci r19,hi8(-101)
  subi r20,lo8(75)
  sbci r21,hi8(75)
sklab68:
  ld r0,X+
  and r0,r24
  breq sklab69
  subi r18,lo8(-85)
  sbci r19,hi8(-85)
  subi r20,lo8(-93)
  sbci r21,hi8(-93)
sklab69:
  ld r0,X+
  and r0,r24
  breq sklab70
  subi r18,lo8(84)
  sbci r19,hi8(84)
  subi r20,lo8(-94)
  sbci r21,hi8(-94)
sklab70:
  ld r0,X+
  and r0,r24
  breq sklab71
  subi r18,lo8(102)
  sbci r19,hi8(102)
  subi r20,lo8(74)
  sbci r21,hi8(74)
sklab71:
  ld r0,X+
  and r0,r24
  breq sklab72
  subi r18,lo8(-63)
  sbci r19,hi8(-63)
  subi r20,lo8(109)
  sbci r21,hi8(109)
sklab72:
  ld r0,X+
  and r0,r24
  breq sklab73
  subi r18,lo8(-115)
  sbci r19,hi8(-115)
  subi r20,lo8(-51)
  sbci r21,hi8(-51)
sklab73:
  ld r0,X+
  and r0,r24
  breq sklab74
  subi r18,lo8(39)
  sbci r19,hi8(39)
  subi r20,lo8(-120)
  sbci r21,hi8(-120)
sklab74:
  ld r0,X+
  and r0,r24
  breq sklab75
  subi r18,lo8(123)
  sbci r19,hi8(123)
  subi r20,lo8(27)
  sbci r21,hi8(27)
sklab75:
  ld r0,X+
  and r0,r24
  breq sklab76
  subi r18,lo8(-14)
  sbci r19,hi8(-14)
  subi r20,lo8(126)
  sbci r21,hi8(126)
sklab76:
  ld r0,X+
  and r0,r24
  breq sklab77
  subi r18,lo8(-126)
  sbci r19,hi8(-126)
  subi r20,lo8(-1)
  sbci r21,hi8(-1)
sklab77:
  ld r0,X+
  and r0,r24
  breq sklab78
  subi r18,lo8(-11)
  sbci r19,hi8(-11)
  subi r20,lo8(-126)
  sbci r21,hi8(-126)
sklab78:
  ld r0,X+
  and r0,r24
  breq sklab79
  subi r18,lo8(124)
  sbci r19,hi8(124)
  subi r20,lo8(-23)
  sbci r21,hi8(-23)
sklab79:
  ld r0,X+
  and r0,r24
  breq sklab80
  subi r18,lo8(36)
  sbci r19,hi8(36)
  subi r20,lo8(121)
  sbci r21,hi8(121)
sklab80:
  ld r0,X+
  and r0,r24
  breq sklab81
  subi r18,lo8(-117)
  sbci r19,hi8(-117)
  subi r20,lo8(48)
  sbci r21,hi8(48)
sklab81:
  ld r0,X+
  and r0,r24
  breq sklab82
  subi r18,lo8(-60)
  sbci r19,hi8(-60)
  subi r20,lo8(-111)
  sbci r21,hi8(-111)
sklab82:
  ld r0,X+
  and r0,r24
  breq sklab83
  subi r18,lo8(105)
  sbci r19,hi8(105)
  subi r20,lo8(-71)
  sbci r21,hi8(-71)
sklab83:
  ld r0,X+
  and r0,r24
  breq sklab84
  subi r18,lo8(81)
  sbci r19,hi8(81)
  subi r20,lo8(97)
  sbci r21,hi8(97)
sklab84:
  ld r0,X+
  and r0,r24
  breq sklab85
  subi r18,lo8(-88)
  sbci r19,hi8(-88)
  subi r20,lo8(91)
  sbci r21,hi8(91)
sklab85:
  ld r0,X+
  and r0,r24
  breq sklab86
  subi r18,lo8(-99)
  sbci r19,hi8(-99)
  subi r20,lo8(-78)
  sbci r21,hi8(-78)
sklab86:
  ld r0,X+
  and r0,r24
  breq sklab87
  subi r18,lo8(68)
  sbci r19,hi8(68)
  subi r20,lo8(-107)
  sbci r21,hi8(-107)
sklab87:
  ld r0,X+
  and r0,r24
  breq sklab88
  subi r18,lo8(113)
  sbci r19,hi8(113)
  subi r20,lo8(56)
  sbci r21,hi8(56)
sklab88:
  ld r0,X+
  and r0,r24
  breq sklab89
  subi r18,lo8(-45)
  sbci r19,hi8(-45)
  subi r20,lo8(118)
  sbci r21,hi8(118)
sklab89:
  ld r0,X+
  and r0,r24
  breq sklab90
  subi r18,lo8(-122)
  sbci r19,hi8(-122)
  subi r20,lo8(-32)
  sbci r21,hi8(-32)
sklab90:
  ld r0,X+
  and r0,r24
  breq sklab91
  subi r18,lo8(20)
  sbci r19,hi8(20)
  subi r20,lo8(-125)
  sbci r21,hi8(-125)
sklab91:
  ld r0,X+
  and r0,r24
  breq sklab92
  subi r18,lo8(126)
  sbci r19,hi8(126)
  subi r20,lo8(7)
  sbci r21,hi8(7)
sklab92:
  ld r0,X+
  and r0,r24
  breq sklab93
  subi r18,lo8(5)
  sbci r19,hi8(5)
  subi r20,lo8(126)
  sbci r21,hi8(126)
sklab93:
  ld r0,X+
  and r0,r24
  breq sklab94
  subi r18,lo8(-125)
  sbci r19,hi8(-125)
  subi r20,lo8(18)
  sbci r21,hi8(18)
sklab94:
  ld r0,X+
  and r0,r24
  breq sklab95
  subi r18,lo8(-31)
  sbci r19,hi8(-31)
  subi r20,lo8(-123)
  sbci r21,hi8(-123)
sklab95:
  ld r0,X+
  and r0,r24
  breq sklab96
  subi r18,lo8(119)
  sbci r19,hi8(119)
  subi r20,lo8(-43)
  sbci r21,hi8(-43)
sklab96:
  ld r0,X+
  and r0,r24
  breq sklab97
  subi r18,lo8(55)
  sbci r19,hi8(55)
  subi r20,lo8(114)
  sbci r21,hi8(114)
sklab97:
  ld r0,X+
  and r0,r24
  breq sklab98
  subi r18,lo8(-108)
  sbci r19,hi8(-108)
  subi r20,lo8(66)
  sbci r21,hi8(66)
sklab98:
  ld r0,X+
  and r0,r24
  breq sklab99
  subi r18,lo8(-77)
  sbci r19,hi8(-77)
  subi r20,lo8(-100)
  sbci r21,hi8(-100)
sklab99:
  ld r0,X+
  and r0,r24
  breq sklab100
  subi r18,lo8(92)
  sbci r19,hi8(92)
  subi r20,lo8(-87)
  sbci r21,hi8(-87)
sklab100:
  ld r0,X+
  and r0,r24
  breq sklab101
  subi r18,lo8(96)
  sbci r19,hi8(96)
  subi r20,lo8(83)
  sbci r21,hi8(83)
sklab101:
  ld r0,X+
  and r0,r24
  breq sklab102
  subi r18,lo8(-72)
  sbci r19,hi8(-72)
  subi r20,lo8(104)
  sbci r21,hi8(104)
sklab102:
  ld r0,X+
  and r0,r24
  breq sklab103
  subi r18,lo8(-110)
  sbci r19,hi8(-110)
  subi r20,lo8(-61)
  sbci r21,hi8(-61)
sklab103:
  ld r0,X+
  and r0,r24
  breq sklab104
  subi r18,lo8(50)
  sbci r19,hi8(50)
  subi r20,lo8(-116)
  sbci r21,hi8(-116)
sklab104:
  ld r0,X+
  and r0,r24
  breq sklab105
  subi r18,lo8(121)
  sbci r19,hi8(121)
  subi r20,lo8(38)
  sbci r21,hi8(38)
sklab105:
  ld r0,X+
  and r0,r24
  breq sklab106
  subi r18,lo8(-25)
  sbci r19,hi8(-25)
  subi r20,lo8(124)
  sbci r21,hi8(124)
sklab106:
  ld r0,X+
  and r0,r24
  breq sklab107
  subi r18,lo8(-126)
  sbci r19,hi8(-126)
  subi r20,lo8(-12)
  sbci r21,hi8(-12)
sklab107:
  ld r0,X+
  and r0,r24
  breq sklab108
  subi r18,lo8(0)
  sbci r19,hi8(0)
  subi r20,lo8(-126)
  sbci r21,hi8(-126)
sklab108:
  ld r0,X+
  and r0,r24
  breq sklab109
  subi r18,lo8(126)
  sbci r19,hi8(126)
  subi r20,lo8(-12)
  sbci r21,hi8(-12)
sklab109:
  ld r0,X+
  and r0,r24
  breq sklab110
  subi r18,lo8(25)
  sbci r19,hi8(25)
  subi r20,lo8(124)
  sbci r21,hi8(124)
sklab110:
  ld r0,X+
  and r0,r24
  breq sklab111
  subi r18,lo8(-121)
  sbci r19,hi8(-121)
  subi r20,lo8(38)
  sbci r21,hi8(38)
sklab111:
  ld r0,X+
  and r0,r24
  breq sklab112
  subi r18,lo8(-50)
  sbci r19,hi8(-50)
  subi r20,lo8(-116)
  sbci r21,hi8(-116)
sklab112:
  ld r0,X+
  and r0,r24
  breq sklab113
  subi r18,lo8(110)
  sbci r19,hi8(110)
  subi r20,lo8(-61)
  sbci r21,hi8(-61)
sklab113:
  ld r0,X+
  and r0,r24
  breq sklab114
  subi r18,lo8(72)
  sbci r19,hi8(72)
  subi r20,lo8(104)
  sbci r21,hi8(104)
sklab114:
  ld r0,X+
  and r0,r24
  breq sklab115
  subi r18,lo8(-96)
  sbci r19,hi8(-96)
  subi r20,lo8(83)
  sbci r21,hi8(83)
sklab115:
  ld r0,X+
  and r0,r24
  breq sklab116
  subi r18,lo8(-92)
  sbci r19,hi8(-92)
  subi r20,lo8(-87)
  sbci r21,hi8(-87)
sklab116:
  ld r0,X+
  and r0,r24
  breq sklab117
  subi r18,lo8(77)
  sbci r19,hi8(77)
  subi r20,lo8(-100)
  sbci r21,hi8(-100)
sklab117:
  ld r0,X+
  and r0,r24
  breq sklab118
  subi r18,lo8(108)
  sbci r19,hi8(108)
  subi r20,lo8(66)
  sbci r21,hi8(66)
sklab118:
  ld r0,X+
  and r0,r24
  breq sklab119
  subi r18,lo8(-55)
  sbci r19,hi8(-55)
  subi r20,lo8(114)
  sbci r21,hi8(114)
sklab119:
  ld r0,X+
  and r0,r24
  breq sklab120
  subi r18,lo8(-119)
  sbci r19,hi8(-119)
  subi r20,lo8(-43)
  sbci r21,hi8(-43)
sklab120:
  ld r0,X+
  and r0,r24
  breq sklab121
  subi r18,lo8(31)
  sbci r19,hi8(31)
  subi r20,lo8(-123)
  sbci r21,hi8(-123)
sklab121:
  ld r0,X+
  and r0,r24
  breq sklab122
  subi r18,lo8(125)
  sbci r19,hi8(125)
  subi r20,lo8(18)
  sbci r21,hi8(18)
sklab122:
  ld r0,X+
  and r0,r24
  breq sklab123
  subi r18,lo8(-5)
  sbci r19,hi8(-5)
  subi r20,lo8(126)
  sbci r21,hi8(126)
sklab123:
  ld r0,X+
  and r0,r24
  breq sklab124
  subi r18,lo8(-126)
  sbci r19,hi8(-126)
  subi r20,lo8(7)
  sbci r21,hi8(7)
sklab124:
  ld r0,X+
  and r0,r24
  breq sklab125
  subi r18,lo8(-20)
  sbci r19,hi8(-20)
  subi r20,lo8(-125)
  sbci r21,hi8(-125)
sklab125:
  ld r0,X+
  and r0,r24
  breq sklab126
  subi r18,lo8(122)
  sbci r19,hi8(122)
  subi r20,lo8(-32)
  sbci r21,hi8(-32)
sklab126:
  ld r0,X+
  and r0,r24
  breq sklab127
  subi r18,lo8(45)
  sbci r19,hi8(45)
  subi r20,lo8(118)
  sbci r21,hi8(118)
sklab127:
  ld r0,X+
  and r0,r24
  breq sklab128
  subi r18,lo8(-113)
  sbci r19,hi8(-113)
  subi r20,lo8(56)
  sbci r21,hi8(56)
sklab128:
  ld r0,X+
  and r0,r24
  breq sklab129
  subi r18,lo8(-68)
  sbci r19,hi8(-68)
  subi r20,lo8(-107)
  sbci r21,hi8(-107)
sklab129:
  ld r0,X+
  and r0,r24
  breq sklab130
  subi r18,lo8(99)
  sbci r19,hi8(99)
  subi r20,lo8(-78)
  sbci r21,hi8(-78)
sklab130:
  ld r0,X+
  and r0,r24
  breq sklab131
  subi r18,lo8(88)
  sbci r19,hi8(88)
  subi r20,lo8(91)
  sbci r21,hi8(91)
sklab131:
  ld r0,X+
  and r0,r24
  breq sklab132
  subi r18,lo8(-81)
  sbci r19,hi8(-81)
  subi r20,lo8(97)
  sbci r21,hi8(97)
sklab132:
  ld r0,X+
  and r0,r24
  breq sklab133
  subi r18,lo8(-105)
  sbci r19,hi8(-105)
  subi r20,lo8(-71)
  sbci r21,hi8(-71)
sklab133:
  ld r0,X+
  and r0,r24
  breq sklab134
  subi r18,lo8(60)
  sbci r19,hi8(60)
  subi r20,lo8(-111)
  sbci r21,hi8(-111)
sklab134:
  ld r0,X+
  and r0,r24
  breq sklab135
  subi r18,lo8(117)
  sbci r19,hi8(117)
  subi r20,lo8(48)
  sbci r21,hi8(48)
sklab135:
  ld r0,X+
  and r0,r24
  breq sklab136
  subi r18,lo8(-36)
  sbci r19,hi8(-36)
  subi r20,lo8(121)
  sbci r21,hi8(121)
sklab136:
  ld r0,X+
  and r0,r24
  breq sklab137
  subi r18,lo8(-124)
  sbci r19,hi8(-124)
  subi r20,lo8(-23)
  sbci r21,hi8(-23)
sklab137:
  ld r0,X+
  and r0,r24
  breq sklab138
  subi r18,lo8(11)
  sbci r19,hi8(11)
  subi r20,lo8(-126)
  sbci r21,hi8(-126)
sklab138:
  ld r0,X+
  and r0,r24
  breq sklab139
  subi r18,lo8(126)
  sbci r19,hi8(126)
  subi r20,lo8(-1)
  sbci r21,hi8(-1)
sklab139:
  ld r0,X+
  and r0,r24
  breq sklab140
  subi r18,lo8(14)
  sbci r19,hi8(14)
  subi r20,lo8(126)
  sbci r21,hi8(126)
sklab140:
  ld r0,X+
  and r0,r24
  breq sklab141
  subi r18,lo8(-123)
  sbci r19,hi8(-123)
  subi r20,lo8(27)
  sbci r21,hi8(27)
sklab141:
  ld r0,X+
  and r0,r24
  breq sklab142
  subi r18,lo8(-39)
  sbci r19,hi8(-39)
  subi r20,lo8(-120)
  sbci r21,hi8(-120)
sklab142:
  ld r0,X+
  and r0,r24
  breq sklab143
  subi r18,lo8(115)
  sbci r19,hi8(115)
  subi r20,lo8(-51)
  sbci r21,hi8(-51)
sklab143:
  ld r0,X+
  and r0,r24
  breq sklab144
  subi r18,lo8(63)
  sbci r19,hi8(63)
  subi r20,lo8(109)
  sbci r21,hi8(109)
sklab144:
  ld r0,X+
  and r0,r24
  breq sklab145
  subi r18,lo8(-102)
  sbci r19,hi8(-102)
  subi r20,lo8(74)
  sbci r21,hi8(74)
sklab145:
  ld r0,X+
  and r0,r24
  breq sklab146
  subi r18,lo8(-84)
  sbci r19,hi8(-84)
  subi r20,lo8(-94)
  sbci r21,hi8(-94)
sklab146:
  ld r0,X+
  and r0,r24
  breq sklab147
  subi r18,lo8(85)
  sbci r19,hi8(85)
  subi r20,lo8(-93)
  sbci r21,hi8(-93)
sklab147:
  ld r0,X+
  and r0,r24
  breq sklab148
  subi r18,lo8(101)
  sbci r19,hi8(101)
  subi r20,lo8(75)
  sbci r21,hi8(75)
sklab148:
  ld r0,X+
  and r0,r24
  breq sklab149
  subi r18,lo8(-65)
  sbci r19,hi8(-65)
  subi r20,lo8(109)
  sbci r21,hi8(109)
sklab149:
  ld r0,X+
  and r0,r24
  breq sklab150
  subi r18,lo8(-115)
  sbci r19,hi8(-115)
  subi r20,lo8(-53)
  sbci r21,hi8(-53)
sklab150:
  ld r0,X+
  and r0,r24
  breq sklab151
  subi r18,lo8(41)
  sbci r19,hi8(41)
  subi r20,lo8(-119)
  sbci r21,hi8(-119)
sklab151:
  ld r0,X+
  and r0,r24
  breq sklab152
  subi r18,lo8(123)
  sbci r19,hi8(123)
  subi r20,lo8(29)
  sbci r21,hi8(29)
sklab152:
  ld r0,X+
  and r0,r24
  breq sklab153
  subi r18,lo8(-16)
  sbci r19,hi8(-16)
  subi r20,lo8(125)
  sbci r21,hi8(125)
sklab153:
  ld r0,X+
  and r0,r24
  breq sklab154
  subi r18,lo8(-126)
  sbci r19,hi8(-126)
  subi r20,lo8(-3)
  sbci r21,hi8(-3)
sklab154:
  ld r0,X+
  and r0,r24
  breq sklab155
  subi r18,lo8(-9)
  sbci r19,hi8(-9)
  subi r20,lo8(-126)
  sbci r21,hi8(-126)
sklab155:
  ld r0,X+
  and r0,r24
  breq sklab156
  subi r18,lo8(125)
  sbci r19,hi8(125)
  subi r20,lo8(-22)
  sbci r21,hi8(-22)
sklab156:
  ld r0,X+
  and r0,r24
  breq sklab157
  subi r18,lo8(34)
  sbci r19,hi8(34)
  subi r20,lo8(122)
  sbci r21,hi8(122)
sklab157:
  ld r0,X+
  and r0,r24
  breq sklab158
  subi r18,lo8(-118)
  sbci r19,hi8(-118)
  subi r20,lo8(46)
  sbci r21,hi8(46)
sklab158:
  ld r0,X+
  and r0,r24
  breq sklab159
  subi r18,lo8(-58)
  sbci r19,hi8(-58)
  subi r20,lo8(-112)
  sbci r21,hi8(-112)
sklab159:
  ld r0,X+
  and r0,r24
  breq sklab160
  subi r18,lo8(106)
  sbci r19,hi8(106)
  subi r20,lo8(-69)
  sbci r21,hi8(-69)
sklab160:
  ld r0,X+
  and r0,r24
  breq sklab161
  subi r18,lo8(80)
  sbci r19,hi8(80)
  subi r20,lo8(98)
  sbci r21,hi8(98)
sklab161:
  ld r0,X+
  and r0,r24
  breq sklab162
  subi r18,lo8(-89)
  sbci r19,hi8(-89)
  subi r20,lo8(89)
  sbci r21,hi8(89)
sklab162:
  ld r0,X+
  and r0,r24
  breq sklab163
  subi r18,lo8(-98)
  sbci r19,hi8(-98)
  subi r20,lo8(-80)
  sbci r21,hi8(-80)
sklab163:
  ld r0,X+
  and r0,r24
  breq sklab164
  subi r18,lo8(69)
  sbci r19,hi8(69)
  subi r20,lo8(-106)
  sbci r21,hi8(-106)
sklab164:
  ld r0,X+
  and r0,r24
  breq sklab165
  subi r18,lo8(112)
  sbci r19,hi8(112)
  subi r20,lo8(58)
  sbci r21,hi8(58)
sklab165:
  ld r0,X+
  and r0,r24
  breq sklab166
  subi r18,lo8(-46)
  sbci r19,hi8(-46)
  subi r20,lo8(118)
  sbci r21,hi8(118)
sklab166:
  ld r0,X+
  and r0,r24
  breq sklab167
  subi r18,lo8(-122)
  sbci r19,hi8(-122)
  subi r20,lo8(-34)
  sbci r21,hi8(-34)
sklab167:
  ld r0,X+
  and r0,r24
  breq sklab168
  subi r18,lo8(22)
  sbci r19,hi8(22)
  subi r20,lo8(-125)
  sbci r21,hi8(-125)
sklab168:
  ld r0,X+
  and r0,r24
  breq sklab169
  subi r18,lo8(126)
  sbci r19,hi8(126)
  subi r20,lo8(9)
  sbci r21,hi8(9)
sklab169:
  ld r0,X+
  and r0,r24
  breq sklab170
  subi r18,lo8(3)
  sbci r19,hi8(3)
  subi r20,lo8(126)
  sbci r21,hi8(126)
sklab170:
  ld r0,X+
  and r0,r24
  breq sklab171
  subi r18,lo8(-125)
  sbci r19,hi8(-125)
  subi r20,lo8(16)
  sbci r21,hi8(16)
sklab171:
  ld r0,X+
  and r0,r24
  breq sklab172
  subi r18,lo8(-29)
  sbci r19,hi8(-29)
  subi r20,lo8(-123)
  sbci r21,hi8(-123)
sklab172:
  ld r0,X+
  and r0,r24
  breq sklab173
  subi r18,lo8(119)
  sbci r19,hi8(119)
  subi r20,lo8(-41)
  sbci r21,hi8(-41)
sklab173:
  ld r0,X+
  and r0,r24
  breq sklab174
  subi r18,lo8(53)
  sbci r19,hi8(53)
  subi r20,lo8(115)
  sbci r21,hi8(115)
sklab174:
  ld r0,X+
  and r0,r24
  breq sklab175
  subi r18,lo8(-109)
  sbci r19,hi8(-109)
  subi r20,lo8(65)
  sbci r21,hi8(65)
sklab175:
  ld r0,X+
  and r0,r24
  breq sklab176
  subi r18,lo8(-75)
  sbci r19,hi8(-75)
  subi r20,lo8(-101)
  sbci r21,hi8(-101)
sklab176:
  ld r0,X+
  and r0,r24
  breq sklab177
  subi r18,lo8(93)
  sbci r19,hi8(93)
  subi r20,lo8(-85)
  sbci r21,hi8(-85)
sklab177:
  ld r0,X+
  and r0,r24
  breq sklab178
  subi r18,lo8(94)
  sbci r19,hi8(94)
  subi r20,lo8(84)
  sbci r21,hi8(84)
sklab178:
  ld r0,X+
  and r0,r24
  breq sklab179
  subi r18,lo8(-74)
  sbci r19,hi8(-74)
  subi r20,lo8(102)
  sbci r21,hi8(102)
sklab179:
  ld r0,X+
  and r0,r24
  breq sklab180
  subi r18,lo8(-109)
  sbci r19,hi8(-109)
  subi r20,lo8(-63)
  sbci r21,hi8(-63)
sklab180:
  ld r0,X+
  and r0,r24
  breq sklab181
  subi r18,lo8(51)
  sbci r19,hi8(51)
  subi r20,lo8(-115)
  sbci r21,hi8(-115)
sklab181:
  ld r0,X+
  and r0,r24
  breq sklab182
  subi r18,lo8(120)
  sbci r19,hi8(120)
  subi r20,lo8(39)
  sbci r21,hi8(39)
sklab182:
  ld r0,X+
  and r0,r24
  breq sklab183
  subi r18,lo8(-27)
  sbci r19,hi8(-27)
  subi r20,lo8(123)
  sbci r21,hi8(123)
sklab183:
  ld r0,X+
  and r0,r24
  breq sklab184
  subi r18,lo8(-126)
  sbci r19,hi8(-126)
  subi r20,lo8(-14)
  sbci r21,hi8(-14)
sklab184:
  ld r0,X+
  and r0,r24
  breq sklab185
  subi r18,lo8(1)
  sbci r19,hi8(1)
  subi r20,lo8(-126)
  sbci r21,hi8(-126)
sklab185:
  ld r0,X+
  and r0,r24
  breq sklab186
  subi r18,lo8(126)
  sbci r19,hi8(126)
  subi r20,lo8(-11)
  sbci r21,hi8(-11)
sklab186:
  ld r0,X+
  and r0,r24
  breq sklab187
  subi r18,lo8(23)
  sbci r19,hi8(23)
  subi r20,lo8(124)
  sbci r21,hi8(124)
sklab187:
  ld r0,X+
  and r0,r24
  breq sklab188
  subi r18,lo8(-121)
  sbci r19,hi8(-121)
  subi r20,lo8(36)
  sbci r21,hi8(36)
sklab188:
  ld r0,X+
  and r0,r24
  breq sklab189
  subi r18,lo8(-48)
  sbci r19,hi8(-48)
  subi r20,lo8(-117)
  sbci r21,hi8(-117)
sklab189:
  ld r0,X+
  and r0,r24
  breq sklab190
  subi r18,lo8(111)
  sbci r19,hi8(111)
  subi r20,lo8(-60)
  sbci r21,hi8(-60)
sklab190:
  ld r0,X+
  and r0,r24
  breq sklab191
  subi r18,lo8(71)
  sbci r19,hi8(71)
  subi r20,lo8(105)
  sbci r21,hi8(105)
sklab191:
  ld r0,X+
  and r0,r24
  breq sklab192
  subi r18,lo8(-97)
  sbci r19,hi8(-97)
  subi r20,lo8(81)
  sbci r21,hi8(81)
sklab192:
  ld r0,X+
  and r0,r24
  breq sklab193
  subi r18,lo8(-91)
  sbci r19,hi8(-91)
  subi r20,lo8(-88)
  sbci r21,hi8(-88)
sklab193:
  ld r0,X+
  and r0,r24
  breq sklab194
  subi r18,lo8(78)
  sbci r19,hi8(78)
  subi r20,lo8(-99)
  sbci r21,hi8(-99)
sklab194:
  ld r0,X+
  and r0,r24
  breq sklab195
  subi r18,lo8(107)
  sbci r19,hi8(107)
  subi r20,lo8(68)
  sbci r21,hi8(68)
sklab195:
  ld r0,X+
  and r0,r24
  breq sklab196
  subi r18,lo8(-56)
  sbci r19,hi8(-56)
  subi r20,lo8(113)
  sbci r21,hi8(113)
sklab196:
  ld r0,X+
  and r0,r24
  breq sklab197
  subi r18,lo8(-118)
  sbci r19,hi8(-118)
  subi r20,lo8(-45)
  sbci r21,hi8(-45)
sklab197:
  ld r0,X+
  and r0,r24
  breq sklab198
  subi r18,lo8(32)
  sbci r19,hi8(32)
  subi r20,lo8(-122)
  sbci r21,hi8(-122)
sklab198:
  ld r0,X+
  and r0,r24
  breq sklab199
  subi r18,lo8(125)
  sbci r19,hi8(125)
  subi r20,lo8(20)
  sbci r21,hi8(20)
sklab199:
  ld r0,X+
  and r0,r24
  breq sklab200
  subi r18,lo8(-7)
  sbci r19,hi8(-7)
  subi r20,lo8(126)
  sbci r21,hi8(126)
sklab200:
  ld r0,X+
  and r0,r24
  breq sklab201
  subi r18,lo8(-126)
  sbci r19,hi8(-126)
  subi r20,lo8(5)
  sbci r21,hi8(5)
sklab201:
  ld r0,X+
  and r0,r24
  breq sklab202
  subi r18,lo8(-18)
  sbci r19,hi8(-18)
  subi r20,lo8(-125)
  sbci r21,hi8(-125)
sklab202:
  ld r0,X+
  and r0,r24
  breq sklab203
  subi r18,lo8(123)
  sbci r19,hi8(123)
  subi r20,lo8(-31)
  sbci r21,hi8(-31)
sklab203:
  ld r0,X+
  and r0,r24
  breq sklab204
  subi r18,lo8(43)
  sbci r19,hi8(43)
  subi r20,lo8(119)
  sbci r21,hi8(119)
sklab204:
  ld r0,X+
  and r0,r24
  breq sklab205
  subi r18,lo8(-114)
  sbci r19,hi8(-114)
  subi r20,lo8(55)
  sbci r21,hi8(55)
sklab205:
  ld r0,X+
  and r0,r24
  breq sklab206
  subi r18,lo8(-66)
  sbci r19,hi8(-66)
  subi r20,lo8(-108)
  sbci r21,hi8(-108)
sklab206:
  ld r0,X+
  and r0,r24
  breq sklab207
  subi r18,lo8(100)
  sbci r19,hi8(100)
  subi r20,lo8(-77)
  sbci r21,hi8(-77)
sklab207:
  ld r0,X+
  and r0,r24
  breq sklab208
  subi r18,lo8(87)
  sbci r19,hi8(87)
  subi r20,lo8(92)
  sbci r21,hi8(92)
sklab208:
  ld r0,X+
  and r0,r24
  breq sklab209
  subi r18,lo8(-83)
  sbci r19,hi8(-83)
  subi r20,lo8(96)
  sbci r21,hi8(96)
sklab209:
  ld r0,X+
  and r0,r24
  breq sklab210
  subi r18,lo8(-104)
  sbci r19,hi8(-104)
  subi r20,lo8(-72)
  sbci r21,hi8(-72)
sklab210:
  ld r0,X+
  and r0,r24
  breq sklab211
  subi r18,lo8(61)
  sbci r19,hi8(61)
  subi r20,lo8(-110)
  sbci r21,hi8(-110)
sklab211:
  ld r0,X+
  and r0,r24
  breq sklab212
  subi r18,lo8(116)
  sbci r19,hi8(116)
  subi r20,lo8(50)
  sbci r21,hi8(50)
sklab212:
  ld r0,X+
  and r0,r24
  breq sklab213
  subi r18,lo8(-38)
  sbci r19,hi8(-38)
  subi r20,lo8(121)
  sbci r21,hi8(121)
sklab213:
  ld r0,X+
  and r0,r24
  breq sklab214
  subi r18,lo8(-124)
  sbci r19,hi8(-124)
  subi r20,lo8(-25)
  sbci r21,hi8(-25)
sklab214:
  ld r0,X+
  and r0,r24
  breq sklab215
  subi r18,lo8(12)
  sbci r19,hi8(12)
  subi r20,lo8(-126)
  sbci r21,hi8(-126)
sklab215:
  ret

calc_s1:
  ld r0,X+
  and r0,r24
  breq sklab216
  subi r18,lo8(126)
  sbci r19,hi8(126)
  subi r20,lo8(0)
  sbci r21,hi8(0)
sklab216:
  ld r0,X+
  and r0,r24
  breq sklab217
  subi r18,lo8(12)
  sbci r19,hi8(12)
  subi r20,lo8(126)
  sbci r21,hi8(126)
sklab217:
  ld r0,X+
  and r0,r24
  breq sklab218
  subi r18,lo8(-124)
  sbci r19,hi8(-124)
  subi r20,lo8(25)
  sbci r21,hi8(25)
sklab218:
  ld r0,X+
  and r0,r24
  breq sklab219
  subi r18,lo8(-38)
  sbci r19,hi8(-38)
  subi r20,lo8(-121)
  sbci r21,hi8(-121)
sklab219:
  ld r0,X+
  and r0,r24
  breq sklab220
  subi r18,lo8(116)
  sbci r19,hi8(116)
  subi r20,lo8(-50)
  sbci r21,hi8(-50)
sklab220:
  ld r0,X+
  and r0,r24
  breq sklab221
  subi r18,lo8(61)
  sbci r19,hi8(61)
  subi r20,lo8(110)
  sbci r21,hi8(110)
sklab221:
  ld r0,X+
  and r0,r24
  breq sklab222
  subi r18,lo8(-104)
  sbci r19,hi8(-104)
  subi r20,lo8(72)
  sbci r21,hi8(72)
sklab222:
  ld r0,X+
  and r0,r24
  breq sklab223
  subi r18,lo8(-83)
  sbci r19,hi8(-83)
  subi r20,lo8(-96)
  sbci r21,hi8(-96)
sklab223:
  ld r0,X+
  and r0,r24
  breq sklab224
  subi r18,lo8(87)
  sbci r19,hi8(87)
  subi r20,lo8(-92)
  sbci r21,hi8(-92)
sklab224:
  ld r0,X+
  and r0,r24
  breq sklab225
  subi r18,lo8(100)
  sbci r19,hi8(100)
  subi r20,lo8(77)
  sbci r21,hi8(77)
sklab225:
  ld r0,X+
  and r0,r24
  breq sklab226
  subi r18,lo8(-66)
  sbci r19,hi8(-66)
  subi r20,lo8(108)
  sbci r21,hi8(108)
sklab226:
  ld r0,X+
  and r0,r24
  breq sklab227
  subi r18,lo8(-114)
  sbci r19,hi8(-114)
  subi r20,lo8(-55)
  sbci r21,hi8(-55)
sklab227:
  ld r0,X+
  and r0,r24
  breq sklab228
  subi r18,lo8(43)
  sbci r19,hi8(43)
  subi r20,lo8(-119)
  sbci r21,hi8(-119)
sklab228:
  ld r0,X+
  and r0,r24
  breq sklab229
  subi r18,lo8(123)
  sbci r19,hi8(123)
  subi r20,lo8(31)
  sbci r21,hi8(31)
sklab229:
  ld r0,X+
  and r0,r24
  breq sklab230
  subi r18,lo8(-18)
  sbci r19,hi8(-18)
  subi r20,lo8(125)
  sbci r21,hi8(125)
sklab230:
  ld r0,X+
  and r0,r24
  breq sklab231
  subi r18,lo8(-126)
  sbci r19,hi8(-126)
  subi r20,lo8(-5)
  sbci r21,hi8(-5)
sklab231:
  ld r0,X+
  and r0,r24
  breq sklab232
  subi r18,lo8(-7)
  sbci r19,hi8(-7)
  subi r20,lo8(-126)
  sbci r21,hi8(-126)
sklab232:
  ld r0,X+
  and r0,r24
  breq sklab233
  subi r18,lo8(125)
  sbci r19,hi8(125)
  subi r20,lo8(-20)
  sbci r21,hi8(-20)
sklab233:
  ld r0,X+
  and r0,r24
  breq sklab234
  subi r18,lo8(32)
  sbci r19,hi8(32)
  subi r20,lo8(122)
  sbci r21,hi8(122)
sklab234:
  ld r0,X+
  and r0,r24
  breq sklab235
  subi r18,lo8(-118)
  sbci r19,hi8(-118)
  subi r20,lo8(45)
  sbci r21,hi8(45)
sklab235:
  ld r0,X+
  and r0,r24
  breq sklab236
  subi r18,lo8(-56)
  sbci r19,hi8(-56)
  subi r20,lo8(-113)
  sbci r21,hi8(-113)
sklab236:
  ld r0,X+
  and r0,r24
  breq sklab237
  subi r18,lo8(107)
  sbci r19,hi8(107)
  subi r20,lo8(-68)
  sbci r21,hi8(-68)
sklab237:
  ld r0,X+
  and r0,r24
  breq sklab238
  subi r18,lo8(78)
  sbci r19,hi8(78)
  subi r20,lo8(99)
  sbci r21,hi8(99)
sklab238:
  ld r0,X+
  and r0,r24
  breq sklab239
  subi r18,lo8(-91)
  sbci r19,hi8(-91)
  subi r20,lo8(88)
  sbci r21,hi8(88)
sklab239:
  ld r0,X+
  and r0,r24
  breq sklab240
  subi r18,lo8(-97)
  sbci r19,hi8(-97)
  subi r20,lo8(-81)
  sbci r21,hi8(-81)
sklab240:
  ld r0,X+
  and r0,r24
  breq sklab241
  subi r18,lo8(71)
  sbci r19,hi8(71)
  subi r20,lo8(-105)
  sbci r21,hi8(-105)
sklab241:
  ld r0,X+
  and r0,r24
  breq sklab242
  subi r18,lo8(111)
  sbci r19,hi8(111)
  subi r20,lo8(60)
  sbci r21,hi8(60)
sklab242:
  ld r0,X+
  and r0,r24
  breq sklab243
  subi r18,lo8(-48)
  sbci r19,hi8(-48)
  subi r20,lo8(117)
  sbci r21,hi8(117)
sklab243:
  ld r0,X+
  and r0,r24
  breq sklab244
  subi r18,lo8(-121)
  sbci r19,hi8(-121)
  subi r20,lo8(-36)
  sbci r21,hi8(-36)
sklab244:
  ld r0,X+
  and r0,r24
  breq sklab245
  subi r18,lo8(23)
  sbci r19,hi8(23)
  subi r20,lo8(-124)
  sbci r21,hi8(-124)
sklab245:
  ld r0,X+
  and r0,r24
  breq sklab246
  subi r18,lo8(126)
  sbci r19,hi8(126)
  subi r20,lo8(11)
  sbci r21,hi8(11)
sklab246:
  ld r0,X+
  and r0,r24
  breq sklab247
  subi r18,lo8(1)
  sbci r19,hi8(1)
  subi r20,lo8(126)
  sbci r21,hi8(126)
sklab247:
  ld r0,X+
  and r0,r24
  breq sklab248
  subi r18,lo8(-126)
  sbci r19,hi8(-126)
  subi r20,lo8(14)
  sbci r21,hi8(14)
sklab248:
  ld r0,X+
  and r0,r24
  breq sklab249
  subi r18,lo8(-27)
  sbci r19,hi8(-27)
  subi r20,lo8(-123)
  sbci r21,hi8(-123)
sklab249:
  ld r0,X+
  and r0,r24
  breq sklab250
  subi r18,lo8(120)
  sbci r19,hi8(120)
  subi r20,lo8(-39)
  sbci r21,hi8(-39)
sklab250:
  ld r0,X+
  and r0,r24
  breq sklab251
  subi r18,lo8(51)
  sbci r19,hi8(51)
  subi r20,lo8(115)
  sbci r21,hi8(115)
sklab251:
  ld r0,X+
  and r0,r24
  breq sklab252
  subi r18,lo8(-109)
  sbci r19,hi8(-109)
  subi r20,lo8(63)
  sbci r21,hi8(63)
sklab252:
  ld r0,X+
  and r0,r24
  breq sklab253
  subi r18,lo8(-74)
  sbci r19,hi8(-74)
  subi r20,lo8(-102)
  sbci r21,hi8(-102)
sklab253:
  ld r0,X+
  and r0,r24
  breq sklab254
  subi r18,lo8(94)
  sbci r19,hi8(94)
  subi r20,lo8(-84)
  sbci r21,hi8(-84)
sklab254:
  ld r0,X+
  and r0,r24
  breq sklab255
  subi r18,lo8(93)
  sbci r19,hi8(93)
  subi r20,lo8(85)
  sbci r21,hi8(85)
sklab255:
  ld r0,X+
  and r0,r24
  breq sklab256
  subi r18,lo8(-75)
  sbci r19,hi8(-75)
  subi r20,lo8(101)
  sbci r21,hi8(101)
sklab256:
  ld r0,X+
  and r0,r24
  breq sklab257
  subi r18,lo8(-109)
  sbci r19,hi8(-109)
  subi r20,lo8(-65)
  sbci r21,hi8(-65)
sklab257:
  ld r0,X+
  and r0,r24
  breq sklab258
  subi r18,lo8(53)
  sbci r19,hi8(53)
  subi r20,lo8(-115)
  sbci r21,hi8(-115)
sklab258:
  ld r0,X+
  and r0,r24
  breq sklab259
  subi r18,lo8(119)
  sbci r19,hi8(119)
  subi r20,lo8(41)
  sbci r21,hi8(41)
sklab259:
  ld r0,X+
  and r0,r24
  breq sklab260
  subi r18,lo8(-29)
  sbci r19,hi8(-29)
  subi r20,lo8(123)
  sbci r21,hi8(123)
sklab260:
  ld r0,X+
  and r0,r24
  breq sklab261
  subi r18,lo8(-125)
  sbci r19,hi8(-125)
  subi r20,lo8(-16)
  sbci r21,hi8(-16)
sklab261:
  ld r0,X+
  and r0,r24
  breq sklab262
  subi r18,lo8(3)
  sbci r19,hi8(3)
  subi r20,lo8(-126)
  sbci r21,hi8(-126)
sklab262:
  ld r0,X+
  and r0,r24
  breq sklab263
  subi r18,lo8(126)
  sbci r19,hi8(126)
  subi r20,lo8(-9)
  sbci r21,hi8(-9)
sklab263:
  ld r0,X+
  and r0,r24
  breq sklab264
  subi r18,lo8(22)
  sbci r19,hi8(22)
  subi r20,lo8(125)
  sbci r21,hi8(125)
sklab264:
  ld r0,X+
  and r0,r24
  breq sklab265
  subi r18,lo8(-122)
  sbci r19,hi8(-122)
  subi r20,lo8(34)
  sbci r21,hi8(34)
sklab265:
  ld r0,X+
  and r0,r24
  breq sklab266
  subi r18,lo8(-46)
  sbci r19,hi8(-46)
  subi r20,lo8(-118)
  sbci r21,hi8(-118)
sklab266:
  ld r0,X+
  and r0,r24
  breq sklab267
  subi r18,lo8(112)
  sbci r19,hi8(112)
  subi r20,lo8(-58)
  sbci r21,hi8(-58)
sklab267:
  ld r0,X+
  and r0,r24
  breq sklab268
  subi r18,lo8(69)
  sbci r19,hi8(69)
  subi r20,lo8(106)
  sbci r21,hi8(106)
sklab268:
  ld r0,X+
  and r0,r24
  breq sklab269
  subi r18,lo8(-98)
  sbci r19,hi8(-98)
  subi r20,lo8(80)
  sbci r21,hi8(80)
sklab269:
  ld r0,X+
  and r0,r24
  breq sklab270
  subi r18,lo8(-89)
  sbci r19,hi8(-89)
  subi r20,lo8(-89)
  sbci r21,hi8(-89)
sklab270:
  ld r0,X+
  and r0,r24
  breq sklab271
  subi r18,lo8(80)
  sbci r19,hi8(80)
  subi r20,lo8(-98)
  sbci r21,hi8(-98)
sklab271:
  ld r0,X+
  and r0,r24
  breq sklab272
  subi r18,lo8(106)
  sbci r19,hi8(106)
  subi r20,lo8(69)
  sbci r21,hi8(69)
sklab272:
  ld r0,X+
  and r0,r24
  breq sklab273
  subi r18,lo8(-58)
  sbci r19,hi8(-58)
  subi r20,lo8(112)
  sbci r21,hi8(112)
sklab273:
  ld r0,X+
  and r0,r24
  breq sklab274
  subi r18,lo8(-118)
  sbci r19,hi8(-118)
  subi r20,lo8(-46)
  sbci r21,hi8(-46)
sklab274:
  ld r0,X+
  and r0,r24
  breq sklab275
  subi r18,lo8(34)
  sbci r19,hi8(34)
  subi r20,lo8(-122)
  sbci r21,hi8(-122)
sklab275:
  ld r0,X+
  and r0,r24
  breq sklab276
  subi r18,lo8(125)
  sbci r19,hi8(125)
  subi r20,lo8(22)
  sbci r21,hi8(22)
sklab276:
  ld r0,X+
  and r0,r24
  breq sklab277
  subi r18,lo8(-9)
  sbci r19,hi8(-9)
  subi r20,lo8(126)
  sbci r21,hi8(126)
sklab277:
  ld r0,X+
  and r0,r24
  breq sklab278
  subi r18,lo8(-126)
  sbci r19,hi8(-126)
  subi r20,lo8(3)
  sbci r21,hi8(3)
sklab278:
  ld r0,X+
  and r0,r24
  breq sklab279
  subi r18,lo8(-16)
  sbci r19,hi8(-16)
  subi r20,lo8(-125)
  sbci r21,hi8(-125)
sklab279:
  ld r0,X+
  and r0,r24
  breq sklab280
  subi r18,lo8(123)
  sbci r19,hi8(123)
  subi r20,lo8(-29)
  sbci r21,hi8(-29)
sklab280:
  ld r0,X+
  and r0,r24
  breq sklab281
  subi r18,lo8(41)
  sbci r19,hi8(41)
  subi r20,lo8(119)
  sbci r21,hi8(119)
sklab281:
  ld r0,X+
  and r0,r24
  breq sklab282
  subi r18,lo8(-115)
  sbci r19,hi8(-115)
  subi r20,lo8(53)
  sbci r21,hi8(53)
sklab282:
  ld r0,X+
  and r0,r24
  breq sklab283
  subi r18,lo8(-65)
  sbci r19,hi8(-65)
  subi r20,lo8(-109)
  sbci r21,hi8(-109)
sklab283:
  ld r0,X+
  and r0,r24
  breq sklab284
  subi r18,lo8(101)
  sbci r19,hi8(101)
  subi r20,lo8(-75)
  sbci r21,hi8(-75)
sklab284:
  ld r0,X+
  and r0,r24
  breq sklab285
  subi r18,lo8(85)
  sbci r19,hi8(85)
  subi r20,lo8(93)
  sbci r21,hi8(93)
sklab285:
  ld r0,X+
  and r0,r24
  breq sklab286
  subi r18,lo8(-84)
  sbci r19,hi8(-84)
  subi r20,lo8(94)
  sbci r21,hi8(94)
sklab286:
  ld r0,X+
  and r0,r24
  breq sklab287
  subi r18,lo8(-102)
  sbci r19,hi8(-102)
  subi r20,lo8(-74)
  sbci r21,hi8(-74)
sklab287:
  ld r0,X+
  and r0,r24
  breq sklab288
  subi r18,lo8(63)
  sbci r19,hi8(63)
  subi r20,lo8(-109)
  sbci r21,hi8(-109)
sklab288:
  ld r0,X+
  and r0,r24
  breq sklab289
  subi r18,lo8(115)
  sbci r19,hi8(115)
  subi r20,lo8(51)
  sbci r21,hi8(51)
sklab289:
  ld r0,X+
  and r0,r24
  breq sklab290
  subi r18,lo8(-39)
  sbci r19,hi8(-39)
  subi r20,lo8(120)
  sbci r21,hi8(120)
sklab290:
  ld r0,X+
  and r0,r24
  breq sklab291
  subi r18,lo8(-123)
  sbci r19,hi8(-123)
  subi r20,lo8(-27)
  sbci r21,hi8(-27)
sklab291:
  ld r0,X+
  and r0,r24
  breq sklab292
  subi r18,lo8(14)
  sbci r19,hi8(14)
  subi r20,lo8(-126)
  sbci r21,hi8(-126)
sklab292:
  ld r0,X+
  and r0,r24
  breq sklab293
  subi r18,lo8(126)
  sbci r19,hi8(126)
  subi r20,lo8(1)
  sbci r21,hi8(1)
sklab293:
  ld r0,X+
  and r0,r24
  breq sklab294
  subi r18,lo8(11)
  sbci r19,hi8(11)
  subi r20,lo8(126)
  sbci r21,hi8(126)
sklab294:
  ld r0,X+
  and r0,r24
  breq sklab295
  subi r18,lo8(-124)
  sbci r19,hi8(-124)
  subi r20,lo8(23)
  sbci r21,hi8(23)
sklab295:
  ld r0,X+
  and r0,r24
  breq sklab296
  subi r18,lo8(-36)
  sbci r19,hi8(-36)
  subi r20,lo8(-121)
  sbci r21,hi8(-121)
sklab296:
  ld r0,X+
  and r0,r24
  breq sklab297
  subi r18,lo8(117)
  sbci r19,hi8(117)
  subi r20,lo8(-48)
  sbci r21,hi8(-48)
sklab297:
  ld r0,X+
  and r0,r24
  breq sklab298
  subi r18,lo8(60)
  sbci r19,hi8(60)
  subi r20,lo8(111)
  sbci r21,hi8(111)
sklab298:
  ld r0,X+
  and r0,r24
  breq sklab299
  subi r18,lo8(-105)
  sbci r19,hi8(-105)
  subi r20,lo8(71)
  sbci r21,hi8(71)
sklab299:
  ld r0,X+
  and r0,r24
  breq sklab300
  subi r18,lo8(-81)
  sbci r19,hi8(-81)
  subi r20,lo8(-97)
  sbci r21,hi8(-97)
sklab300:
  ld r0,X+
  and r0,r24
  breq sklab301
  subi r18,lo8(88)
  sbci r19,hi8(88)
  subi r20,lo8(-91)
  sbci r21,hi8(-91)
sklab301:
  ld r0,X+
  and r0,r24
  breq sklab302
  subi r18,lo8(99)
  sbci r19,hi8(99)
  subi r20,lo8(78)
  sbci r21,hi8(78)
sklab302:
  ld r0,X+
  and r0,r24
  breq sklab303
  subi r18,lo8(-68)
  sbci r19,hi8(-68)
  subi r20,lo8(107)
  sbci r21,hi8(107)
sklab303:
  ld r0,X+
  and r0,r24
  breq sklab304
  subi r18,lo8(-113)
  sbci r19,hi8(-113)
  subi r20,lo8(-56)
  sbci r21,hi8(-56)
sklab304:
  ld r0,X+
  and r0,r24
  breq sklab305
  subi r18,lo8(45)
  sbci r19,hi8(45)
  subi r20,lo8(-118)
  sbci r21,hi8(-118)
sklab305:
  ld r0,X+
  and r0,r24
  breq sklab306
  subi r18,lo8(122)
  sbci r19,hi8(122)
  subi r20,lo8(32)
  sbci r21,hi8(32)
sklab306:
  ld r0,X+
  and r0,r24
  breq sklab307
  subi r18,lo8(-20)
  sbci r19,hi8(-20)
  subi r20,lo8(125)
  sbci r21,hi8(125)
sklab307:
  ld r0,X+
  and r0,r24
  breq sklab308
  subi r18,lo8(-126)
  sbci r19,hi8(-126)
  subi r20,lo8(-7)
  sbci r21,hi8(-7)
sklab308:
  ld r0,X+
  and r0,r24
  breq sklab309
  subi r18,lo8(-5)
  sbci r19,hi8(-5)
  subi r20,lo8(-126)
  sbci r21,hi8(-126)
sklab309:
  ld r0,X+
  and r0,r24
  breq sklab310
  subi r18,lo8(125)
  sbci r19,hi8(125)
  subi r20,lo8(-18)
  sbci r21,hi8(-18)
sklab310:
  ld r0,X+
  and r0,r24
  breq sklab311
  subi r18,lo8(31)
  sbci r19,hi8(31)
  subi r20,lo8(123)
  sbci r21,hi8(123)
sklab311:
  ld r0,X+
  and r0,r24
  breq sklab312
  subi r18,lo8(-119)
  sbci r19,hi8(-119)
  subi r20,lo8(43)
  sbci r21,hi8(43)
sklab312:
  ld r0,X+
  and r0,r24
  breq sklab313
  subi r18,lo8(-55)
  sbci r19,hi8(-55)
  subi r20,lo8(-114)
  sbci r21,hi8(-114)
sklab313:
  ld r0,X+
  and r0,r24
  breq sklab314
  subi r18,lo8(108)
  sbci r19,hi8(108)
  subi r20,lo8(-66)
  sbci r21,hi8(-66)
sklab314:
  ld r0,X+
  and r0,r24
  breq sklab315
  subi r18,lo8(77)
  sbci r19,hi8(77)
  subi r20,lo8(100)
  sbci r21,hi8(100)
sklab315:
  ld r0,X+
  and r0,r24
  breq sklab316
  subi r18,lo8(-92)
  sbci r19,hi8(-92)
  subi r20,lo8(87)
  sbci r21,hi8(87)
sklab316:
  ld r0,X+
  and r0,r24
  breq sklab317
  subi r18,lo8(-96)
  sbci r19,hi8(-96)
  subi r20,lo8(-83)
  sbci r21,hi8(-83)
sklab317:
  ld r0,X+
  and r0,r24
  breq sklab318
  subi r18,lo8(72)
  sbci r19,hi8(72)
  subi r20,lo8(-104)
  sbci r21,hi8(-104)
sklab318:
  ld r0,X+
  and r0,r24
  breq sklab319
  subi r18,lo8(110)
  sbci r19,hi8(110)
  subi r20,lo8(61)
  sbci r21,hi8(61)
sklab319:
  ld r0,X+
  and r0,r24
  breq sklab320
  subi r18,lo8(-50)
  sbci r19,hi8(-50)
  subi r20,lo8(116)
  sbci r21,hi8(116)
sklab320:
  ld r0,X+
  and r0,r24
  breq sklab321
  subi r18,lo8(-121)
  sbci r19,hi8(-121)
  subi r20,lo8(-38)
  sbci r21,hi8(-38)
sklab321:
  ld r0,X+
  and r0,r24
  breq sklab322
  subi r18,lo8(25)
  sbci r19,hi8(25)
  subi r20,lo8(-124)
  sbci r21,hi8(-124)
sklab322:
  ld r0,X+
  and r0,r24
  breq sklab323
  subi r18,lo8(126)
  sbci r19,hi8(126)
  subi r20,lo8(12)
  sbci r21,hi8(12)
sklab323:
  ld r0,X+
  and r0,r24
  breq sklab324
  subi r18,lo8(0)
  sbci r19,hi8(0)
  subi r20,lo8(126)
  sbci r21,hi8(126)
sklab324:
  ld r0,X+
  and r0,r24
  breq sklab325
  subi r18,lo8(-126)
  sbci r19,hi8(-126)
  subi r20,lo8(12)
  sbci r21,hi8(12)
sklab325:
  ld r0,X+
  and r0,r24
  breq sklab326
  subi r18,lo8(-25)
  sbci r19,hi8(-25)
  subi r20,lo8(-124)
  sbci r21,hi8(-124)
sklab326:
  ld r0,X+
  and r0,r24
  breq sklab327
  subi r18,lo8(121)
  sbci r19,hi8(121)
  subi r20,lo8(-38)
  sbci r21,hi8(-38)
sklab327:
  ld r0,X+
  and r0,r24
  breq sklab328
  subi r18,lo8(50)
  sbci r19,hi8(50)
  subi r20,lo8(116)
  sbci r21,hi8(116)
sklab328:
  ld r0,X+
  and r0,r24
  breq sklab329
  subi r18,lo8(-110)
  sbci r19,hi8(-110)
  subi r20,lo8(61)
  sbci r21,hi8(61)
sklab329:
  ld r0,X+
  and r0,r24
  breq sklab330
  subi r18,lo8(-72)
  sbci r19,hi8(-72)
  subi r20,lo8(-104)
  sbci r21,hi8(-104)
sklab330:
  ld r0,X+
  and r0,r24
  breq sklab331
  subi r18,lo8(96)
  sbci r19,hi8(96)
  subi r20,lo8(-83)
  sbci r21,hi8(-83)
sklab331:
  ld r0,X+
  and r0,r24
  breq sklab332
  subi r18,lo8(92)
  sbci r19,hi8(92)
  subi r20,lo8(87)
  sbci r21,hi8(87)
sklab332:
  ld r0,X+
  and r0,r24
  breq sklab333
  subi r18,lo8(-77)
  sbci r19,hi8(-77)
  subi r20,lo8(100)
  sbci r21,hi8(100)
sklab333:
  ld r0,X+
  and r0,r24
  breq sklab334
  subi r18,lo8(-108)
  sbci r19,hi8(-108)
  subi r20,lo8(-66)
  sbci r21,hi8(-66)
sklab334:
  ld r0,X+
  and r0,r24
  breq sklab335
  subi r18,lo8(55)
  sbci r19,hi8(55)
  subi r20,lo8(-114)
  sbci r21,hi8(-114)
sklab335:
  ld r0,X+
  and r0,r24
  breq sklab336
  subi r18,lo8(119)
  sbci r19,hi8(119)
  subi r20,lo8(43)
  sbci r21,hi8(43)
sklab336:
  ld r0,X+
  and r0,r24
  breq sklab337
  subi r18,lo8(-31)
  sbci r19,hi8(-31)
  subi r20,lo8(123)
  sbci r21,hi8(123)
sklab337:
  ld r0,X+
  and r0,r24
  breq sklab338
  subi r18,lo8(-125)
  sbci r19,hi8(-125)
  subi r20,lo8(-18)
  sbci r21,hi8(-18)
sklab338:
  ld r0,X+
  and r0,r24
  breq sklab339
  subi r18,lo8(5)
  sbci r19,hi8(5)
  subi r20,lo8(-126)
  sbci r21,hi8(-126)
sklab339:
  ld r0,X+
  and r0,r24
  breq sklab340
  subi r18,lo8(126)
  sbci r19,hi8(126)
  subi r20,lo8(-7)
  sbci r21,hi8(-7)
sklab340:
  ld r0,X+
  and r0,r24
  breq sklab341
  subi r18,lo8(20)
  sbci r19,hi8(20)
  subi r20,lo8(125)
  sbci r21,hi8(125)
sklab341:
  ld r0,X+
  and r0,r24
  breq sklab342
  subi r18,lo8(-122)
  sbci r19,hi8(-122)
  subi r20,lo8(32)
  sbci r21,hi8(32)
sklab342:
  ld r0,X+
  and r0,r24
  breq sklab343
  subi r18,lo8(-45)
  sbci r19,hi8(-45)
  subi r20,lo8(-118)
  sbci r21,hi8(-118)
sklab343:
  ld r0,X+
  and r0,r24
  breq sklab344
  subi r18,lo8(113)
  sbci r19,hi8(113)
  subi r20,lo8(-56)
  sbci r21,hi8(-56)
sklab344:
  ld r0,X+
  and r0,r24
  breq sklab345
  subi r18,lo8(68)
  sbci r19,hi8(68)
  subi r20,lo8(107)
  sbci r21,hi8(107)
sklab345:
  ld r0,X+
  and r0,r24
  breq sklab346
  subi r18,lo8(-99)
  sbci r19,hi8(-99)
  subi r20,lo8(78)
  sbci r21,hi8(78)
sklab346:
  ld r0,X+
  and r0,r24
  breq sklab347
  subi r18,lo8(-88)
  sbci r19,hi8(-88)
  subi r20,lo8(-91)
  sbci r21,hi8(-91)
sklab347:
  ld r0,X+
  and r0,r24
  breq sklab348
  subi r18,lo8(81)
  sbci r19,hi8(81)
  subi r20,lo8(-97)
  sbci r21,hi8(-97)
sklab348:
  ld r0,X+
  and r0,r24
  breq sklab349
  subi r18,lo8(105)
  sbci r19,hi8(105)
  subi r20,lo8(71)
  sbci r21,hi8(71)
sklab349:
  ld r0,X+
  and r0,r24
  breq sklab350
  subi r18,lo8(-60)
  sbci r19,hi8(-60)
  subi r20,lo8(111)
  sbci r21,hi8(111)
sklab350:
  ld r0,X+
  and r0,r24
  breq sklab351
  subi r18,lo8(-117)
  sbci r19,hi8(-117)
  subi r20,lo8(-48)
  sbci r21,hi8(-48)
sklab351:
  ld r0,X+
  and r0,r24
  breq sklab352
  subi r18,lo8(36)
  sbci r19,hi8(36)
  subi r20,lo8(-121)
  sbci r21,hi8(-121)
sklab352:
  ld r0,X+
  and r0,r24
  breq sklab353
  subi r18,lo8(124)
  sbci r19,hi8(124)
  subi r20,lo8(23)
  sbci r21,hi8(23)
sklab353:
  ld r0,X+
  and r0,r24
  breq sklab354
  subi r18,lo8(-11)
  sbci r19,hi8(-11)
  subi r20,lo8(126)
  sbci r21,hi8(126)
sklab354:
  ld r0,X+
  and r0,r24
  breq sklab355
  subi r18,lo8(-126)
  sbci r19,hi8(-126)
  subi r20,lo8(1)
  sbci r21,hi8(1)
sklab355:
  ld r0,X+
  and r0,r24
  breq sklab356
  subi r18,lo8(-14)
  sbci r19,hi8(-14)
  subi r20,lo8(-126)
  sbci r21,hi8(-126)
sklab356:
  ld r0,X+
  and r0,r24
  breq sklab357
  subi r18,lo8(123)
  sbci r19,hi8(123)
  subi r20,lo8(-27)
  sbci r21,hi8(-27)
sklab357:
  ld r0,X+
  and r0,r24
  breq sklab358
  subi r18,lo8(39)
  sbci r19,hi8(39)
  subi r20,lo8(120)
  sbci r21,hi8(120)
sklab358:
  ld r0,X+
  and r0,r24
  breq sklab359
  subi r18,lo8(-115)
  sbci r19,hi8(-115)
  subi r20,lo8(51)
  sbci r21,hi8(51)
sklab359:
  ld r0,X+
  and r0,r24
  breq sklab360
  subi r18,lo8(-63)
  sbci r19,hi8(-63)
  subi r20,lo8(-109)
  sbci r21,hi8(-109)
sklab360:
  ld r0,X+
  and r0,r24
  breq sklab361
  subi r18,lo8(102)
  sbci r19,hi8(102)
  subi r20,lo8(-74)
  sbci r21,hi8(-74)
sklab361:
  ld r0,X+
  and r0,r24
  breq sklab362
  subi r18,lo8(84)
  sbci r19,hi8(84)
  subi r20,lo8(94)
  sbci r21,hi8(94)
sklab362:
  ld r0,X+
  and r0,r24
  breq sklab363
  subi r18,lo8(-85)
  sbci r19,hi8(-85)
  subi r20,lo8(93)
  sbci r21,hi8(93)
sklab363:
  ld r0,X+
  and r0,r24
  breq sklab364
  subi r18,lo8(-101)
  sbci r19,hi8(-101)
  subi r20,lo8(-75)
  sbci r21,hi8(-75)
sklab364:
  ld r0,X+
  and r0,r24
  breq sklab365
  subi r18,lo8(65)
  sbci r19,hi8(65)
  subi r20,lo8(-109)
  sbci r21,hi8(-109)
sklab365:
  ld r0,X+
  and r0,r24
  breq sklab366
  subi r18,lo8(115)
  sbci r19,hi8(115)
  subi r20,lo8(53)
  sbci r21,hi8(53)
sklab366:
  ld r0,X+
  and r0,r24
  breq sklab367
  subi r18,lo8(-41)
  sbci r19,hi8(-41)
  subi r20,lo8(119)
  sbci r21,hi8(119)
sklab367:
  ld r0,X+
  and r0,r24
  breq sklab368
  subi r18,lo8(-123)
  sbci r19,hi8(-123)
  subi r20,lo8(-29)
  sbci r21,hi8(-29)
sklab368:
  ld r0,X+
  and r0,r24
  breq sklab369
  subi r18,lo8(16)
  sbci r19,hi8(16)
  subi r20,lo8(-125)
  sbci r21,hi8(-125)
sklab369:
  ld r0,X+
  and r0,r24
  breq sklab370
  subi r18,lo8(126)
  sbci r19,hi8(126)
  subi r20,lo8(3)
  sbci r21,hi8(3)
sklab370:
  ld r0,X+
  and r0,r24
  breq sklab371
  subi r18,lo8(9)
  sbci r19,hi8(9)
  subi r20,lo8(126)
  sbci r21,hi8(126)
sklab371:
  ld r0,X+
  and r0,r24
  breq sklab372
  subi r18,lo8(-125)
  sbci r19,hi8(-125)
  subi r20,lo8(22)
  sbci r21,hi8(22)
sklab372:
  ld r0,X+
  and r0,r24
  breq sklab373
  subi r18,lo8(-34)
  sbci r19,hi8(-34)
  subi r20,lo8(-122)
  sbci r21,hi8(-122)
sklab373:
  ld r0,X+
  and r0,r24
  breq sklab374
  subi r18,lo8(118)
  sbci r19,hi8(118)
  subi r20,lo8(-46)
  sbci r21,hi8(-46)
sklab374:
  ld r0,X+
  and r0,r24
  breq sklab375
  subi r18,lo8(58)
  sbci r19,hi8(58)
  subi r20,lo8(112)
  sbci r21,hi8(112)
sklab375:
  ld r0,X+
  and r0,r24
  breq sklab376
  subi r18,lo8(-106)
  sbci r19,hi8(-106)
  subi r20,lo8(69)
  sbci r21,hi8(69)
sklab376:
  ld r0,X+
  and r0,r24
  breq sklab377
  subi r18,lo8(-80)
  sbci r19,hi8(-80)
  subi r20,lo8(-98)
  sbci r21,hi8(-98)
sklab377:
  ld r0,X+
  and r0,r24
  breq sklab378
  subi r18,lo8(89)
  sbci r19,hi8(89)
  subi r20,lo8(-89)
  sbci r21,hi8(-89)
sklab378:
  ld r0,X+
  and r0,r24
  breq sklab379
  subi r18,lo8(98)
  sbci r19,hi8(98)
  subi r20,lo8(80)
  sbci r21,hi8(80)
sklab379:
  ld r0,X+
  and r0,r24
  breq sklab380
  subi r18,lo8(-69)
  sbci r19,hi8(-69)
  subi r20,lo8(106)
  sbci r21,hi8(106)
sklab380:
  ld r0,X+
  and r0,r24
  breq sklab381
  subi r18,lo8(-112)
  sbci r19,hi8(-112)
  subi r20,lo8(-58)
  sbci r21,hi8(-58)
sklab381:
  ld r0,X+
  and r0,r24
  breq sklab382
  subi r18,lo8(46)
  sbci r19,hi8(46)
  subi r20,lo8(-118)
  sbci r21,hi8(-118)
sklab382:
  ld r0,X+
  and r0,r24
  breq sklab383
  subi r18,lo8(122)
  sbci r19,hi8(122)
  subi r20,lo8(34)
  sbci r21,hi8(34)
sklab383:
  ld r0,X+
  and r0,r24
  breq sklab384
  subi r18,lo8(-22)
  sbci r19,hi8(-22)
  subi r20,lo8(125)
  sbci r21,hi8(125)
sklab384:
  ld r0,X+
  and r0,r24
  breq sklab385
  subi r18,lo8(-126)
  sbci r19,hi8(-126)
  subi r20,lo8(-9)
  sbci r21,hi8(-9)
sklab385:
  ld r0,X+
  and r0,r24
  breq sklab386
  subi r18,lo8(-3)
  sbci r19,hi8(-3)
  subi r20,lo8(-126)
  sbci r21,hi8(-126)
sklab386:
  ld r0,X+
  and r0,r24
  breq sklab387
  subi r18,lo8(125)
  sbci r19,hi8(125)
  subi r20,lo8(-16)
  sbci r21,hi8(-16)
sklab387:
  ld r0,X+
  and r0,r24
  breq sklab388
  subi r18,lo8(29)
  sbci r19,hi8(29)
  subi r20,lo8(123)
  sbci r21,hi8(123)
sklab388:
  ld r0,X+
  and r0,r24
  breq sklab389
  subi r18,lo8(-119)
  sbci r19,hi8(-119)
  subi r20,lo8(41)
  sbci r21,hi8(41)
sklab389:
  ld r0,X+
  and r0,r24
  breq sklab390
  subi r18,lo8(-53)
  sbci r19,hi8(-53)
  subi r20,lo8(-115)
  sbci r21,hi8(-115)
sklab390:
  ld r0,X+
  and r0,r24
  breq sklab391
  subi r18,lo8(109)
  sbci r19,hi8(109)
  subi r20,lo8(-65)
  sbci r21,hi8(-65)
sklab391:
  ld r0,X+
  and r0,r24
  breq sklab392
  subi r18,lo8(75)
  sbci r19,hi8(75)
  subi r20,lo8(101)
  sbci r21,hi8(101)
sklab392:
  ld r0,X+
  and r0,r24
  breq sklab393
  subi r18,lo8(-93)
  sbci r19,hi8(-93)
  subi r20,lo8(85)
  sbci r21,hi8(85)
sklab393:
  ld r0,X+
  and r0,r24
  breq sklab394
  subi r18,lo8(-94)
  sbci r19,hi8(-94)
  subi r20,lo8(-84)
  sbci r21,hi8(-84)
sklab394:
  ld r0,X+
  and r0,r24
  breq sklab395
  subi r18,lo8(74)
  sbci r19,hi8(74)
  subi r20,lo8(-102)
  sbci r21,hi8(-102)
sklab395:
  ld r0,X+
  and r0,r24
  breq sklab396
  subi r18,lo8(109)
  sbci r19,hi8(109)
  subi r20,lo8(63)
  sbci r21,hi8(63)
sklab396:
  ld r0,X+
  and r0,r24
  breq sklab397
  subi r18,lo8(-51)
  sbci r19,hi8(-51)
  subi r20,lo8(115)
  sbci r21,hi8(115)
sklab397:
  ld r0,X+
  and r0,r24
  breq sklab398
  subi r18,lo8(-120)
  sbci r19,hi8(-120)
  subi r20,lo8(-39)
  sbci r21,hi8(-39)
sklab398:
  ld r0,X+
  and r0,r24
  breq sklab399
  subi r18,lo8(27)
  sbci r19,hi8(27)
  subi r20,lo8(-123)
  sbci r21,hi8(-123)
sklab399:
  ld r0,X+
  and r0,r24
  breq sklab400
  subi r18,lo8(126)
  sbci r19,hi8(126)
  subi r20,lo8(14)
  sbci r21,hi8(14)
sklab400:
  ld r0,X+
  and r0,r24
  breq sklab401
  subi r18,lo8(-1)
  sbci r19,hi8(-1)
  subi r20,lo8(126)
  sbci r21,hi8(126)
sklab401:
  ld r0,X+
  and r0,r24
  breq sklab402
  subi r18,lo8(-126)
  sbci r19,hi8(-126)
  subi r20,lo8(11)
  sbci r21,hi8(11)
sklab402:
  ld r0,X+
  and r0,r24
  breq sklab403
  subi r18,lo8(-23)
  sbci r19,hi8(-23)
  subi r20,lo8(-124)
  sbci r21,hi8(-124)
sklab403:
  ld r0,X+
  and r0,r24
  breq sklab404
  subi r18,lo8(121)
  sbci r19,hi8(121)
  subi r20,lo8(-36)
  sbci r21,hi8(-36)
sklab404:
  ld r0,X+
  and r0,r24
  breq sklab405
  subi r18,lo8(48)
  sbci r19,hi8(48)
  subi r20,lo8(117)
  sbci r21,hi8(117)
sklab405:
  ld r0,X+
  and r0,r24
  breq sklab406
  subi r18,lo8(-111)
  sbci r19,hi8(-111)
  subi r20,lo8(60)
  sbci r21,hi8(60)
sklab406:
  ld r0,X+
  and r0,r24
  breq sklab407
  subi r18,lo8(-71)
  sbci r19,hi8(-71)
  subi r20,lo8(-105)
  sbci r21,hi8(-105)
sklab407:
  ld r0,X+
  and r0,r24
  breq sklab408
  subi r18,lo8(97)
  sbci r19,hi8(97)
  subi r20,lo8(-81)
  sbci r21,hi8(-81)
sklab408:
  ld r0,X+
  and r0,r24
  breq sklab409
  subi r18,lo8(91)
  sbci r19,hi8(91)
  subi r20,lo8(88)
  sbci r21,hi8(88)
sklab409:
  ld r0,X+
  and r0,r24
  breq sklab410
  subi r18,lo8(-78)
  sbci r19,hi8(-78)
  subi r20,lo8(99)
  sbci r21,hi8(99)
sklab410:
  ld r0,X+
  and r0,r24
  breq sklab411
  subi r18,lo8(-107)
  sbci r19,hi8(-107)
  subi r20,lo8(-68)
  sbci r21,hi8(-68)
sklab411:
  ld r0,X+
  and r0,r24
  breq sklab412
  subi r18,lo8(56)
  sbci r19,hi8(56)
  subi r20,lo8(-113)
  sbci r21,hi8(-113)
sklab412:
  ld r0,X+
  and r0,r24
  breq sklab413
  subi r18,lo8(118)
  sbci r19,hi8(118)
  subi r20,lo8(45)
  sbci r21,hi8(45)
sklab413:
  ld r0,X+
  and r0,r24
  breq sklab414
  subi r18,lo8(-32)
  sbci r19,hi8(-32)
  subi r20,lo8(122)
  sbci r21,hi8(122)
sklab414:
  ld r0,X+
  and r0,r24
  breq sklab415
  subi r18,lo8(-125)
  sbci r19,hi8(-125)
  subi r20,lo8(-20)
  sbci r21,hi8(-20)
sklab415:
  ld r0,X+
  and r0,r24
  breq sklab416
  subi r18,lo8(7)
  sbci r19,hi8(7)
  subi r20,lo8(-126)
  sbci r21,hi8(-126)
sklab416:
  ld r0,X+
  and r0,r24
  breq sklab417
  subi r18,lo8(126)
  sbci r19,hi8(126)
  subi r20,lo8(-5)
  sbci r21,hi8(-5)
sklab417:
  ld r0,X+
  and r0,r24
  breq sklab418
  subi r18,lo8(18)
  sbci r19,hi8(18)
  subi r20,lo8(125)
  sbci r21,hi8(125)
sklab418:
  ld r0,X+
  and r0,r24
  breq sklab419
  subi r18,lo8(-123)
  sbci r19,hi8(-123)
  subi r20,lo8(31)
  sbci r21,hi8(31)
sklab419:
  ld r0,X+
  and r0,r24
  breq sklab420
  subi r18,lo8(-43)
  sbci r19,hi8(-43)
  subi r20,lo8(-119)
  sbci r21,hi8(-119)
sklab420:
  ld r0,X+
  and r0,r24
  breq sklab421
  subi r18,lo8(114)
  sbci r19,hi8(114)
  subi r20,lo8(-55)
  sbci r21,hi8(-55)
sklab421:
  ld r0,X+
  and r0,r24
  breq sklab422
  subi r18,lo8(66)
  sbci r19,hi8(66)
  subi r20,lo8(108)
  sbci r21,hi8(108)
sklab422:
  ld r0,X+
  and r0,r24
  breq sklab423
  subi r18,lo8(-100)
  sbci r19,hi8(-100)
  subi r20,lo8(77)
  sbci r21,hi8(77)
sklab423:
  ld r0,X+
  and r0,r24
  breq sklab424
  subi r18,lo8(-87)
  sbci r19,hi8(-87)
  subi r20,lo8(-92)
  sbci r21,hi8(-92)
sklab424:
  ld r0,X+
  and r0,r24
  breq sklab425
  subi r18,lo8(83)
  sbci r19,hi8(83)
  subi r20,lo8(-96)
  sbci r21,hi8(-96)
sklab425:
  ld r0,X+
  and r0,r24
  breq sklab426
  subi r18,lo8(104)
  sbci r19,hi8(104)
  subi r20,lo8(72)
  sbci r21,hi8(72)
sklab426:
  ld r0,X+
  and r0,r24
  breq sklab427
  subi r18,lo8(-61)
  sbci r19,hi8(-61)
  subi r20,lo8(110)
  sbci r21,hi8(110)
sklab427:
  ld r0,X+
  and r0,r24
  breq sklab428
  subi r18,lo8(-116)
  sbci r19,hi8(-116)
  subi r20,lo8(-50)
  sbci r21,hi8(-50)
sklab428:
  ld r0,X+
  and r0,r24
  breq sklab429
  subi r18,lo8(38)
  sbci r19,hi8(38)
  subi r20,lo8(-121)
  sbci r21,hi8(-121)
sklab429:
  ld r0,X+
  and r0,r24
  breq sklab430
  subi r18,lo8(124)
  sbci r19,hi8(124)
  subi r20,lo8(25)
  sbci r21,hi8(25)
sklab430:
  ld r0,X+
  and r0,r24
  breq sklab431
  subi r18,lo8(-12)
  sbci r19,hi8(-12)
  subi r20,lo8(126)
  sbci r21,hi8(126)
sklab431:
  ret
